Update Board
Update an existing feedback board's name, description, or settings.
Introduction
The FeatureOS update boards API allows you to update boards from your organization.
PUT
https://api.featureos.app/api/v3/buckets/:id
curl -X PUT 'https://api.featureos.app/api/v3/buckets/:id' \
-H 'API-KEY: YOUR_API_KEY' \
-H 'Content-Type: application/json'Headers
| Parameter | Default | Description |
|---|---|---|
| API-KEY | - | Generate from organization settings on the admin dashboard. |
| ALLOW-PRIVATE | false | Set to true when updating a private board |
| Authorization | - | Generate a unique JWT token that is specific to a user |
Body Parameters
| Parameter | Default | Format | Description |
|---|---|---|---|
| name | true | String | Name of the board (also used to create the slug) |
| description | false | Text | Explain what this board will be used for |
| private | false | Boolean | Only members and admins can access private boards |
| default | false | Boolean | Submissions are not allowed for this board |
| read_only | false | Boolean | Submissions are not allowed for this board |
| form_heading | false | String | Heading for the board's form |
| form_description | false | String | Description for the form |
| form_title | false | String | Placeholder text for form title label |
| form_title_placeholder | false | String | Placeholder text for form title field |
| form_details | false | String | Placeholder text for form description label |
| form_details_placeholder | false | String | Placeholder text for form description field |
| submission_template | false | Text | Create pre-filled content as submission template. |
| submit_button_text | false | String | Submit button text |